<?PHP
session_start();
header( 'Content-type: text/html; charset=windows-1251' );
error_reporting( 1 );
require($_SERVER['DOCUMENT_ROOT']."/sfb.php");

$id_user = (isset($_SESSION["iduser"]) && preg_match("|^[\d]{1,11}$|", trim($_SESSION["iduser"]))) ? intval(trim($_SESSION["iduser"])) : false;

if(!isset($_SESSION['iduser'])) { exit(); }
if(!isset($_POST['func'])) { exit(); }
if( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit(); }

// вывод денег
if($_POST['func'] == "money_out") {
$howmany = (isset($_POST["howmany"])) ? abs(floatval(str_replace(",",".",trim($_POST["howmany"])))) : false;
$howmany = p_floor($howmany,2);
$code = (isset($_POST["codes"])) ? intval(trim($_POST["codes"])) : false;
$log = (isset($_SESSION["logcaptcha"])) ? intval(trim($_SESSION["logcaptcha"])) : false;
$purse = (isset($_POST["purse"])) ? strip_tags(stripslashes($_POST["purse"])) : false;

$username_exist = mysql_num_rows(mysql_query("SELECT `id` FROM `tb_payme` WHERE `status`='0' AND `user_id`='$id_user'"));

$merch = valideint($_POST["merchant"]);
if($merch == 1 AND $wm_out == 0) {
echo "$infsterr Вывод денег на WebMoney запрещен!$infederr";exit();
}elseif($merch == 2 AND $qw_out == 0) {
echo "$infsterr Вывод денег на QiWi запрещен!$infederr";exit();
}elseif($merch == 3 AND $ym_out == 0) {
echo "$infsterr Вывод денег на YandexMoney запрещен!$infederr";exit();
}elseif($merch == 4 AND $lp_out == 0) {
echo "$infsterr Вывод денег на LiqPay запрещен!$infederr";exit();
}elseif($merch == 5 AND $pm_out == 0) {
echo "$infsterr Вывод денег на PerfectMoney запрещен!$infederr";exit();
}elseif($merch == 6 AND $py_out == 0) {
echo "$infsterr Вывод денег на Payeer запрещен!$infederr";exit();
}

switch($merch){
case 1:
$zapros = "pemail";break;//Webmoney
case 2:
$zapros = "qw_purse";break;//QiWi
case 3:
$zapros = "ym_purse";break;//Yandex
case 4:
$zapros = "lp_purse";break;//LiqPay
case 5:
$zapros = "pm_purse";break;//PerfectMoney
case 6:
$zapros = "py_purse";break;//Payeer
}

$moneycomis = number_format(payment_comis_m($merch, $howmany), 2, '.', "");
$sql = mysql_query("SELECT `$zapros` FROM `b_users` WHERE `id`='$id_user'") or die(mysql_error());
$purse = mysql_result($sql,0,0);
$max_outpay = user_status($ball_r,2);
$count_out = user_status($ball_r,5);
switch($count_out){
case 1: $col_time = 3;break; // раз в 3 часа
case 2: $col_time = 6;break; // раз в 6 часов
case 3: $col_time = 12;break; // раз в 12 часов
case 4: $col_time = 24;break; // раз в 24 часа
case 5: $col_time = 36;break; // раз в 36 часов
case 6: $col_time = 48;break; // раз в 48 часв
case 7: $col_time = 168;break; // раз в неделю
}
if($count_out == 0){
$count_pay_ex = 0;
}else{
$col_time = (time()-($col_time*3600));
$sql_p = mysql_query("SELECT `id` FROM `tb_payme` WHERE `user_id`='$id_user' AND `datetime`>='$col_time'");
$count_pay_ex = mysql_num_rows($sql_p);
}

if($code <= 0 OR $log <= 0 OR $log == false OR $code != $log) { 
echo "$infsterr Неправильно введён проверочный код!$infederr";exit();
}elseif($purse == ''){
echo "$infsterr Введите кошелёк для получения выплаты в Ваших личныx данных!$infederr";exit();
}elseif($max_outpay == 0){
echo "$infsterr Для Вашего статуса вывод денег запрещен!$infederr";exit();
}elseif($howmany > $max_outpay){
echo "$infsterr Для Вашего статуса максимальная сумма вывода {$max_outpay}{$sitevalname}!$infederr";exit();
}elseif($byme["money"] < $howmany) {
echo "$infsterr Введите сумму на копейку меньше!$infederr";exit();  
}elseif($howmany == false) {
echo "$infsterr Некорректный ввод суммы выплаты!$infederr";exit();  
}elseif ($howmany < $minpay){
echo "$infsterr На вашем балансе не набрана минимальная для вывода сумма!$infederr";exit();
}elseif($count_pay_ex > 0) {
echo "$infsterr Для Вашего статуса ограничено количество выводов ($count_out раз)$infederr";exit(); 
}else{
mysql_query("INSERT INTO `tb_payme` (`user_id`, `payment`, `pemail`, `money`, `ip`, `datetime`, `status`) VALUES('$id_user','$merch','$purse','$howmany','".getRealIP()."','".time()."','0')") or die(mysql_error());
mysql_query("UPDATE `b_users` SET `money`=`money`-'$howmany' WHERE `id`='$id_user'") or die(mysql_error());
require_once($_SERVER['DOCUMENT_ROOT']."/merchant/choise-merchant.php");
}
}

//возврат денег
if($_POST['func'] == "back_money") {
$id = (isset($_POST["id"])) ? intval($_POST["id"]) : false;
if($id == false){ echo $infsterr."Нет такого запроса на вывод".$infederr;exit();
}else{
$sql = mysql_query("SELECT `money` FROM `tb_payme` WHERE `id`='$id' AND `user_id`='$id_user'") or die(mysql_error());
if(mysql_num_rows($sql) > 0) {
$res = mysql_fetch_assoc($sql);
mysql_query("UPDATE `b_users` SET `money`=`money`+'".$res["money"]."' WHERE `id`='$id_user'") or die(mysql_error());
mysql_query("DELETE FROM `tb_payme` WHERE `id`='$id' AND `user_id`='$id_user'") or die(mysql_error());
echo "1";
}else{ echo $infsterr."Нет такого запроса на вывод".$infederr;exit();}
}
}
?>